Skip to main content
GET
/
v1
/
wikis
/
{wiki_id}
/
pages
Pages
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/pages \
  --header 'Authorization: Bearer <token>'
[
  {
    "folder": "<string>",
    "name": "<string>",
    "page_id": "<string>",
    "path": "<string>",
    "slug": "<string>",
    "status_label": "<string>",
    "title": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

folder
string
required
name
string
required
page_id
string
required
path
string
required
slug
string
required
status
enum<string>
required
Available options:
active,
archived
status_label
string
required
status_state
enum<string>
required
Available options:
ready,
running,
failed,
unknown
title
string
required
updated_at
string
required
wiki_id
string
required